Index: multimedia/libdriv/libcanberra-systemd.xml
===================================================================
--- multimedia/libdriv/libcanberra-systemd.xml	(revision 26c91a70a761d953cb589b0620a5e04cf3e028bb)
+++ multimedia/libdriv/libcanberra-systemd.xml	(revision 26c91a70a761d953cb589b0620a5e04cf3e028bb)
@@ -0,0 +1,239 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libcanberra-download-http
+           "http://0pointer.de/lennart/projects/libcanberra/libcanberra-&libcanberra-version;.tar.xz">
+  <!ENTITY libcanberra-download-ftp  " ">
+  <!ENTITY libcanberra-md5sum        "34cb7e4430afaf6f447c4ebdb9b42072">
+  <!ENTITY libcanberra-size          "312 KB">
+  <!ENTITY libcanberra-buildsize     "7.5 MB">
+  <!ENTITY libcanberra-time          "0.1 SBU">
+]>
+
+<sect1 id="libcanberra" xreflabel="libcanberra-&libcanberra-version;">
+  <?dbhtml filename="libcanberra.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libcanberra-&libcanberra-version;</title>
+
+  <indexterm zone="libcanberra">
+    <primary sortas="a-libcanberra">libcanberra</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libcanberra</title>
+
+    <para>
+      <application>libcanberra</application> is an implementation of the XDG Sound
+      Theme and Name Specifications, for generating event sounds on free desktops,
+      such as <application>GNOME</application>.
+    </para>
+
+    &lfs75_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libcanberra-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libcanberra-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libcanberra-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libcanberra-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libcanberra-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libcanberra-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">libcanberra Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="libvorbis"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="alsa-lib"/>,
+      <xref linkend="gstreamer10"/> and
+      <xref linkend="gtk3"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk2"/>,
+      <xref linkend="gtk-doc"/>,
+      <xref linkend='pulseaudio'/> and
+      <ulink url="http://tdb.samba.org/">tdb</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/libcanberra"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libcanberra</title>
+
+    <para>
+      Install <application>libcanberra</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr --disable-oss &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make docdir=/usr/share/doc/libcanberra-&libcanberra-version; install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-doc-rebuild.xml"/>
+
+  </sect2>
+
+    <sect2 role="configuration">
+    <title>Configuring Libcanberra</title>
+    
+     <sect3  id="libcanberra-init">
+      <title>Systemd Units</title>
+
+      <para>
+        To start the <command>libcanberra-boot</command> service at boot,
+        enable the previously installed systemd unit by
+        running the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+      <indexterm zone="libcanberra libcanberra-init">
+        <primary sortas="f-libcanberra">libcanberra</primary>
+      </indexterm>
+
+<screen role="root"><userinput>systemctl enable canberra-system-bootup</userinput></screen>
+
+    </sect3>
+
+</sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          canberra-boot and canberra-gtk-play
+        </seg>
+        <seg>
+          libcanberra-gtk.so, libcanberra-gtk3.so and
+          libcanberra.so
+        </seg>
+        <seg>
+          /usr/lib/libcanberra-&libcanberra-version;,
+          /usr/share/doc/libcanberra and
+          /usr/share/gtk-doc/html/libcanberra
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="canberra-gtk-play">
+        <term><command>canberra-gtk-play</command></term>
+        <listitem>
+          <para>
+            is an application used for playing sound events.
+          </para>
+          <indexterm zone="libcanberra canberra-gtk-play">
+            <primary sortas="b-canberra-gtk-play">canberra-gtk-play</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcanberra-gtk">
+        <term><filename class="libraryfile">libcanberra-gtk.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>libcanberra</application> bindings
+            for <application>GTK+ 2</application>.
+          </para>
+          <indexterm zone="libcanberra libcanberra-gtk">
+            <primary sortas="c-libcanberra-gtk">libcanberra-gtk.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcanberra-gtk3">
+        <term><filename class="libraryfile">libcanberra-gtk3.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>libcanberra</application> bindings
+            for <application>GTK+ 3</application>.
+          </para>
+          <indexterm zone="libcanberra libcanberra-gtk3">
+            <primary sortas="c-libcanberra-gtk3">libcanberra-gtk3.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libcanberra-lib">
+        <term><filename class='libraryfile'>libcanberra.so</filename></term>
+        <listitem>
+          <para>
+            contains the <application>libcanberra</application> API functions.
+          </para>
+          <indexterm zone="libcanberra libcanberra-lib">
+            <primary sortas="c-libcanberra">libcanberra.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: ltimedia/libdriv/libcanberra.xml
===================================================================
--- multimedia/libdriv/libcanberra.xml	(revision 3a2fa7cb764495e6360b676efe838e46a077529a)
+++ 	(revision )
@@ -1,239 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY libcanberra-download-http
-           "http://0pointer.de/lennart/projects/libcanberra/libcanberra-&libcanberra-version;.tar.xz">
-  <!ENTITY libcanberra-download-ftp  " ">
-  <!ENTITY libcanberra-md5sum        "34cb7e4430afaf6f447c4ebdb9b42072">
-  <!ENTITY libcanberra-size          "312 KB">
-  <!ENTITY libcanberra-buildsize     "7.5 MB">
-  <!ENTITY libcanberra-time          "0.1 SBU">
-]>
-
-<sect1 id="libcanberra" xreflabel="libcanberra-&libcanberra-version;">
-  <?dbhtml filename="libcanberra.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>libcanberra-&libcanberra-version;</title>
-
-  <indexterm zone="libcanberra">
-    <primary sortas="a-libcanberra">libcanberra</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to libcanberra</title>
-
-    <para>
-      <application>libcanberra</application> is an implementation of the XDG Sound
-      Theme and Name Specifications, for generating event sounds on free desktops,
-      such as <application>GNOME</application>.
-    </para>
-
-    &lfs75_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&libcanberra-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&libcanberra-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &libcanberra-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &libcanberra-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &libcanberra-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &libcanberra-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">libcanberra Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="libvorbis"/>
-    </para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="alsa-lib"/>,
-      <xref linkend="gstreamer10"/> and
-      <xref linkend="gtk3"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="gtk2"/>,
-      <xref linkend="gtk-doc"/>,
-      <xref linkend='pulseaudio'/> and
-      <ulink url="http://tdb.samba.org/">tdb</ulink>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/libcanberra"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of libcanberra</title>
-
-    <para>
-      Install <application>libcanberra</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr --disable-oss &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make docdir=/usr/share/doc/libcanberra-&libcanberra-version; install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/gtk-doc-rebuild.xml"/>
-
-  </sect2>
-
-    <sect2 role="configuration">
-    <title>Configuring Libcanberra</title>
-    
-     <sect3  id="libcanberra-init">
-      <title>Systemd Units</title>
-
-      <para>
-        To start the <command>libcanberra-boot</command> service at boot,
-        enable the previously installed systemd unit by
-        running the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-      <indexterm zone="libcanberra libcanberra-init">
-        <primary sortas="f-libcanberra">libcanberra</primary>
-      </indexterm>
-
-<screen role="root"><userinput>systemctl enable canberra-system-bootup</userinput></screen>
-
-    </sect3>
-
-</sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          canberra-boot and canberra-gtk-play
-        </seg>
-        <seg>
-          libcanberra-gtk.so, libcanberra-gtk3.so and
-          libcanberra.so
-        </seg>
-        <seg>
-          /usr/lib/libcanberra-&libcanberra-version;,
-          /usr/share/doc/libcanberra and
-          /usr/share/gtk-doc/html/libcanberra
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="canberra-gtk-play">
-        <term><command>canberra-gtk-play</command></term>
-        <listitem>
-          <para>
-            is an application used for playing sound events.
-          </para>
-          <indexterm zone="libcanberra canberra-gtk-play">
-            <primary sortas="b-canberra-gtk-play">canberra-gtk-play</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libcanberra-gtk">
-        <term><filename class="libraryfile">libcanberra-gtk.so</filename></term>
-        <listitem>
-          <para>
-            contains the <application>libcanberra</application> bindings
-            for <application>GTK+ 2</application>.
-          </para>
-          <indexterm zone="libcanberra libcanberra-gtk">
-            <primary sortas="c-libcanberra-gtk">libcanberra-gtk.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libcanberra-gtk3">
-        <term><filename class="libraryfile">libcanberra-gtk3.so</filename></term>
-        <listitem>
-          <para>
-            contains the <application>libcanberra</application> bindings
-            for <application>GTK+ 3</application>.
-          </para>
-          <indexterm zone="libcanberra libcanberra-gtk3">
-            <primary sortas="c-libcanberra-gtk3">libcanberra-gtk3.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libcanberra-lib">
-        <term><filename class='libraryfile'>libcanberra.so</filename></term>
-        <listitem>
-          <para>
-            contains the <application>libcanberra</application> API functions.
-          </para>
-          <indexterm zone="libcanberra libcanberra-lib">
-            <primary sortas="c-libcanberra">libcanberra.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: multimedia/libdriv/libdriv.xml
===================================================================
--- multimedia/libdriv/libdriv.xml	(revision 3a2fa7cb764495e6360b676efe838e46a077529a)
+++ multimedia/libdriv/libdriv.xml	(revision 26c91a70a761d953cb589b0620a5e04cf3e028bb)
@@ -51,5 +51,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libao.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libass.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libcanberra.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libcanberra-systemd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libdiscid.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libdvdcss.xml"/>