Index: general.ent
===================================================================
--- general.ent	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ general.ent	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -580,5 +580,5 @@
 <!-- Part VII -->
 <!-- Chapters 27-29 -->                           <!-- stable lt .90 micro version -->
-<!ENTITY kde-version                 "4.11.3">    <!-- applies to all kde packages -->
+<!ENTITY kde-version                 "4.11.4">    <!-- applies to all kde packages -->
 <!ENTITY kde-dldir                   "&kde-version;">
 <!ENTITY kde-download-http           "http://download.kde.org/stable/">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ introduction/welcome/changelog.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -48,11 +48,15 @@
       <itemizedlist>
         <listitem>
+          <para>[rthomsen] - Update to KDE-4.11.4. Fixes
+          <ulink url="&blfs-ticket-root;4409">#4409</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[rthomsen] - Update to phonon-4.7.1,
-	  phonon-backend-gstreamer-4.7.1 and phonon-backend-vlc-0.7.1.</para>
-        </listitem>
-	<listitem>
+          phonon-backend-gstreamer-4.7.1 and phonon-backend-vlc-0.7.1.</para>
+        </listitem>
+        <listitem>
           <para>[rthomsen] - Update to akonadi-1.11.0.</para>
         </listitem>
-	<listitem>
+        <listitem>
           <para>[fernando] - Update to sqlite-3.8.2. Fixes
           <ulink url="&blfs-ticket-root;4423">#4423</ulink>.</para>
Index: kde/add/ark.xml
===================================================================
--- kde/add/ark.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/add/ark.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,6 +7,6 @@
   <!ENTITY ark-download-http "&kde-download-http;&kde-version;/src/ark-&kde-version;.tar.xz">
   <!ENTITY ark-download-ftp  "&kde-download-ftp;&kde-version;/src/ark-&kde-version;.tar.xz">
-  <!ENTITY ark-md5sum        "490db766baa140a460e4a37ba9dc3715">
-  <!ENTITY ark-size          "228 KB">
+  <!ENTITY ark-md5sum        "b5f3f7e757bea3f9813dc1d97e06e60a">
+  <!ENTITY ark-size          "229 KB">
   <!ENTITY ark-buildsize     "9.9 MB">
   <!ENTITY ark-time          "0.4 SBU">
Index: kde/add/gwenview.xml
===================================================================
--- kde/add/gwenview.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/add/gwenview.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY gwenview-download-http "&kde-download-http;&kde-version;/src/gwenview-&kde-version;.tar.xz">
   <!ENTITY gwenview-download-ftp  "&kde-download-ftp;&kde-version;/src/gwenview-&kde-version;.tar.xz">
-  <!ENTITY gwenview-md5sum        "e880207efa4bde10b8402895990342cf">
+  <!ENTITY gwenview-md5sum        "c36417094de045cf595786e81f3ca305">
   <!ENTITY gwenview-size          "2.8 MB">
   <!ENTITY gwenview-buildsize     "25 MB">
Index: kde/add/kate.xml
===================================================================
--- kde/add/kate.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/add/kate.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kate-download-http "&kde-download-http;&kde-version;/src/kate-&kde-version;.tar.xz">
   <!ENTITY kate-download-ftp  "&kde-download-ftp;&kde-version;/src/kate-&kde-version;.tar.xz">
-  <!ENTITY kate-md5sum        "da8926024503aed4e109543ad557b326">
+  <!ENTITY kate-md5sum        "edd1f95a7762472894ed357473524f13">
   <!ENTITY kate-size          "2.6 MB">
   <!ENTITY kate-buildsize     "79 MB">
Index: kde/add/kdepim-runtime.xml
===================================================================
--- kde/add/kdepim-runtime.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/add/kdepim-runtime.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kdepim-runtime-download-http "&kde-download-http;&kde-version;/src/kdepim-runtime-&kde-version;.tar.xz">
   <!ENTITY kdepim-runtime-download-ftp  "&kde-download-ftp;&kde-version;/src/kdepim-runtime-&kde-version;.tar.xz">
-  <!ENTITY kdepim-runtime-md5sum        "24bb6adad7f59c2b21473ab156e88fae">
+  <!ENTITY kdepim-runtime-md5sum        "7847837f8c9c6e02af2303933cae87a9">
   <!ENTITY kdepim-runtime-size          "1.2 MB">
   <!ENTITY kdepim-runtime-buildsize     "101 MB">
Index: kde/add/kdepim.xml
===================================================================
--- kde/add/kdepim.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/add/kdepim.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kdepim-download-http "&kde-download-http;&kde-version;/src/kdepim-&kde-version;.tar.xz">
   <!ENTITY kdepim-download-ftp  "&kde-download-ftp;&kde-version;/src/kdepim-&kde-version;.tar.xz">
-  <!ENTITY kdepim-md5sum        "98a6172c961d6ed70cd7fbe0292bdc28">
+  <!ENTITY kdepim-md5sum        "c67fdee4633436ce60a7ff3258c5d69e">
   <!ENTITY kdepim-size          "13.6 MB">
   <!ENTITY kdepim-buildsize     "305 MB">
Index: kde/add/kdeplasma-addons.xml
===================================================================
--- kde/add/kdeplasma-addons.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/add/kdeplasma-addons.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kdeplasma-addons-download-http "&kde-download-http;&kde-version;/src/kdeplasma-addons-&kde-version;.tar.xz">
   <!ENTITY kdeplasma-addons-download-ftp  "&kde-download-ftp;&kde-version;/src/kdeplasma-addons-&kde-version;.tar.xz">
-  <!ENTITY kdeplasma-addons-md5sum        "b190eb847e42d6458c53ee88bdd9b7cd">
+  <!ENTITY kdeplasma-addons-md5sum        "9b34ded2ae8d140359f3ad10b09cbd0c">
   <!ENTITY kdeplasma-addons-size          "1.7 MB">
   <!ENTITY kdeplasma-addons-buildsize     "73 MB">
Index: kde/add/kmix.xml
===================================================================
--- kde/add/kmix.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/add/kmix.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kmix-download-http "&kde-download-http;&kde-version;/src/kmix-&kde-version;.tar.xz">
   <!ENTITY kmix-download-ftp  "&kde-download-ftp;&kde-version;/src/kmix-&kde-version;.tar.xz">
-  <!ENTITY kmix-md5sum        "bed799b7f439da825c32e0525dad7026">
+  <!ENTITY kmix-md5sum        "3c439f9cdc0b8231856a32b618b90442">
   <!ENTITY kmix-size          "378 KB">
   <!ENTITY kmix-buildsize     "72 MB">
Index: kde/add/konsole.xml
===================================================================
--- kde/add/konsole.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/add/konsole.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY konsole-download-http "&kde-download-http;&kde-version;/src/konsole-&kde-version;.tar.xz">
   <!ENTITY konsole-download-ftp  "&kde-download-ftp;&kde-version;/src/konsole-&kde-version;.tar.xz">
-  <!ENTITY konsole-md5sum        "c360d444cc68b4f0d69487302170def4">
+  <!ENTITY konsole-md5sum        "0b79d5cca5ea21626ebdcfafb4aee128">
   <!ENTITY konsole-size          "447 KB">
   <!ENTITY konsole-buildsize     "12 MB">
Index: kde/add/libkcddb.xml
===================================================================
--- kde/add/libkcddb.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/add/libkcddb.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY libkcddb-download-http "&kde-download-http;&kde-version;/src/libkcddb-&kde-version;.tar.xz">
   <!ENTITY libkcddb-download-ftp  "&kde-download-ftp;&kde-version;/src/libkcddb-&kde-version;.tar.xz">
-  <!ENTITY libkcddb-md5sum        "e52b00aa00211943ff3b9065c4efbc9e">
+  <!ENTITY libkcddb-md5sum        "90f07d474ab818e89edd0c6b861e9e58">
   <!ENTITY libkcddb-size          "158 KB">
   <!ENTITY libkcddb-buildsize     "7.0 MB">
Index: kde/add/libkexiv2.xml
===================================================================
--- kde/add/libkexiv2.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/add/libkexiv2.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY libkexiv2-download-http "&kde-download-http;&kde-version;/src/libkexiv2-&kde-version;.tar.xz">
   <!ENTITY libkexiv2-download-ftp  "&kde-download-ftp;&kde-version;/src/libkexiv2-&kde-version;.tar.xz">
-  <!ENTITY libkexiv2-md5sum        "84164466bc1a7bd349dfd05a97c74a91">
+  <!ENTITY libkexiv2-md5sum        "7c53f48faa8c5431f686d13e03abd1a9">
   <!ENTITY libkexiv2-size          "134 KB">
   <!ENTITY libkexiv2-buildsize     "4.2 MB">
Index: kde/add/okular.xml
===================================================================
--- kde/add/okular.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/add/okular.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY okular-download-http "&kde-download-http;&kde-version;/src/okular-&kde-version;.tar.xz">
   <!ENTITY okular-download-ftp  "&kde-download-ftp;&kde-version;/src/okular-&kde-version;.tar.xz">
-  <!ENTITY okular-md5sum        "084a5cd63f3bfb3c3bf5e62edad19bc9">
+  <!ENTITY okular-md5sum        "c18ac8f75ceecb0d28d35557cec08ae2">
   <!ENTITY okular-size          "1.5 MB">
   <!ENTITY okular-buildsize     "30 MB">
Index: kde/core/kactivities.xml
===================================================================
--- kde/core/kactivities.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/core/kactivities.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kactivities-download-http "&kde-download-http;&kde-version;/src/kactivities-&kde-version;.tar.xz">
   <!ENTITY kactivities-download-ftp  "&kde-download-ftp;&kde-version;/src/kactivities-&kde-version;.tar.xz">
-  <!ENTITY kactivities-md5sum        "9d4ff1e1963a8e4933bdbf779dc41ccf">
+  <!ENTITY kactivities-md5sum        "655d435f86115d0efe2c9f31743d0184">
   <!ENTITY kactivities-size          "91 KB">
   <!ENTITY kactivities-buildsize     "10.8 MB">
Index: kde/core/kde-base-artwork.xml
===================================================================
--- kde/core/kde-base-artwork.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/core/kde-base-artwork.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kde-base-artwork-download-http "&kde-download-http;&kde-version;/src/kde-base-artwork-&kde-version;.tar.xz">
   <!ENTITY kde-base-artwork-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-base-artwork-&kde-version;.tar.xz">
-  <!ENTITY kde-base-artwork-md5sum        "47370c064ad11ae866f72c567e2897c4">
+  <!ENTITY kde-base-artwork-md5sum        "ad5a41c0dd5436af4cd5a595a202dd48">
   <!ENTITY kde-base-artwork-size          "7.1 MB">
   <!ENTITY kde-base-artwork-buildsize     "7.9 MB">
Index: kde/core/kde-baseapps.xml
===================================================================
--- kde/core/kde-baseapps.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/core/kde-baseapps.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kde-baseapps-download-http "&kde-download-http;&kde-version;/src/kde-baseapps-&kde-version;.tar.xz">
   <!ENTITY kde-baseapps-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-baseapps-&kde-version;.tar.xz">
-  <!ENTITY kde-baseapps-md5sum        "7ef16f46e8e3dff0d6c9ca1f36dfa976">
+  <!ENTITY kde-baseapps-md5sum        "f1d6f4fccf6e3a1ecb4a0425b1d308ad">
   <!ENTITY kde-baseapps-size          "2.4 MB">
   <!ENTITY kde-baseapps-buildsize     "84 MB">
Index: kde/core/kde-runtime.xml
===================================================================
--- kde/core/kde-runtime.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/core/kde-runtime.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kde-runtime-download-http "&kde-download-http;&kde-version;/src/kde-runtime-&kde-version;.tar.xz">
   <!ENTITY kde-runtime-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-runtime-&kde-version;.tar.xz">
-  <!ENTITY kde-runtime-md5sum        "470f5de731d5ca18dc20bf8c26c53489">
+  <!ENTITY kde-runtime-md5sum        "6525b42718b9db0477637ce0fa8fbdca">
   <!ENTITY kde-runtime-size          "7.6 MB">
   <!ENTITY kde-runtime-buildsize     "111 MB">
Index: kde/core/kde-workspace.xml
===================================================================
--- kde/core/kde-workspace.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/core/kde-workspace.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kde-workspace-download-http "&kde-download-http;&kde-version;/src/kde-workspace-&kde-version;.tar.xz">
   <!ENTITY kde-workspace-download-ftp  "&kde-download-ftp;&kde-version;/src/kde-workspace-&kde-version;.tar.xz">
-  <!ENTITY kde-workspace-md5sum        "7eb7c769dd2b0fe2269d56fbf7ead35a">
+  <!ENTITY kde-workspace-md5sum        "20266e6cc89a3fa96619c69452c78108">
   <!ENTITY kde-workspace-size          "13.2 MB">
   <!ENTITY kde-workspace-buildsize     "306 MB">
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/core/kdelibs.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kdelibs-download-http "&kde-download-http;&kde-version;/src/kdelibs-&kde-version;.tar.xz">
   <!ENTITY kdelibs-download-ftp  "&kde-download-ftp;&kde-version;/src/kdelibs-&kde-version;.tar.xz">
-  <!ENTITY kdelibs-md5sum        "766f3ed50e07794c298c3597e70d0817">
+  <!ENTITY kdelibs-md5sum        "34dd483a0060294bac67fb35307df292">
   <!ENTITY kdelibs-size          "11.5 MB">
   <!ENTITY kdelibs-buildsize     "383 MB">
Index: kde/core/kdepimlibs.xml
===================================================================
--- kde/core/kdepimlibs.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/core/kdepimlibs.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY kdepimlibs-download-http "&kde-download-http;&kde-version;/src/kdepimlibs-&kde-version;.tar.xz">
   <!ENTITY kdepimlibs-download-ftp  "&kde-download-ftp;&kde-version;/src/kdepimlibs-&kde-version;.tar.xz">
-  <!ENTITY kdepimlibs-md5sum        "4c93ed3b646c60aedcb4ce4134d61077">
+  <!ENTITY kdepimlibs-md5sum        "3609a2adb49a0f01d8b3c4fa327cdffd">
   <!ENTITY kdepimlibs-size          "2.9 MB">
   <!ENTITY kdepimlibs-buildsize     "169 MB">
Index: kde/core/nepomuk-core.xml
===================================================================
--- kde/core/nepomuk-core.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/core/nepomuk-core.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY nepomuk-core-download-http "&kde-download-http;&kde-version;/src/nepomuk-core-&kde-version;.tar.xz">
   <!ENTITY nepomuk-core-download-ftp  "&kde-download-ftp;&kde-version;/src/nepomuk-core-&kde-version;.tar.xz">
-  <!ENTITY nepomuk-core-md5sum        "ab7cffada2adf4b9f83bfabdbf38b76f">
+  <!ENTITY nepomuk-core-md5sum        "0c92d0fe7e93d19f1fe7504b371e6db7">
   <!ENTITY nepomuk-core-size          "392 KB">
   <!ENTITY nepomuk-core-buildsize     "41 MB">
Index: kde/core/nepomuk-widgets.xml
===================================================================
--- kde/core/nepomuk-widgets.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/core/nepomuk-widgets.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY nepomuk-widgets-download-http "&kde-download-http;&kde-version;/src/nepomuk-widgets-&kde-version;.tar.xz">
   <!ENTITY nepomuk-widgets-download-ftp  "&kde-download-ftp;&kde-version;/src/nepomuk-widgets-&kde-version;.tar.xz">
-  <!ENTITY nepomuk-widgets-md5sum        "9310ef0b5e27b0ea2d4b82e267543627">
+  <!ENTITY nepomuk-widgets-md5sum        "caab09a58e7abff34c2e9e5e3d71723a">
   <!ENTITY nepomuk-widgets-size          "49 KB">
   <!ENTITY nepomuk-widgets-buildsize     "3.8 MB">
Index: kde/core/oxygen-icons.xml
===================================================================
--- kde/core/oxygen-icons.xml	(revision 453f2f60a05128f0aa4dfccf339c9bf26ce7b9ab)
+++ kde/core/oxygen-icons.xml	(revision 27dc3aedc3cfb9a1c1f06a373b47205075bbc5ee)
@@ -7,5 +7,5 @@
   <!ENTITY oxygen-icons-download-http "&kde-download-http;&kde-version;/src/oxygen-icons-&kde-version;.tar.xz">
   <!ENTITY oxygen-icons-download-ftp  "&kde-download-ftp;&kde-version;/src/oxygen-icons-&kde-version;.tar.xz">
-  <!ENTITY oxygen-icons-md5sum        "13ba0360116e9bc42e9162b67e4d7767">
+  <!ENTITY oxygen-icons-md5sum        "af38ae892a25fea32ec6fd3941c09c52">
   <!ENTITY oxygen-icons-size          "276 MB">
   <!ENTITY oxygen-icons-buildsize     "465 MB">