Index: general.ent
===================================================================
--- general.ent	(revision 1c1483d6b67e86eedbd446a7f64a0f158da13949)
+++ general.ent	(revision 28da027b4e1008575328dd241d4ab64c5711daac)
@@ -1,3 +1,3 @@
-<!ENTITY day          "06">
+<!ENTITY day          "07">
 <!ENTITY month        "04">
 <!ENTITY year         "2005">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1c1483d6b67e86eedbd446a7f64a0f158da13949)
+++ introduction/welcome/changelog.xml	(revision 28da027b4e1008575328dd241d4ab64c5711daac)
@@ -22,4 +22,7 @@
 
 <itemizedlist>
+
+<listitem><para>April 7th, 2005 [randy]: Updated the JadeTex instructions 
+to work with Tex-3.0, contributed by Steffen Knollmann.</para></listitem>
 
 <listitem><para>April 6th, 2005 [igor]: Updated to
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision 1c1483d6b67e86eedbd446a7f64a0f158da13949)
+++ introduction/welcome/credits.xml	(revision 28da027b4e1008575328dd241d4ab64c5711daac)
@@ -210,7 +210,39 @@
 <itemizedlist>
 
+<listitem><para><emphasis>Fernando Arbeiza</emphasis> for doing great
+quality assurance on Shadow utilizing <acronym>PAM</acronym>.  The machine 
+access he saved may have been yours.</para></listitem>
+
+<listitem><para><emphasis>Archaic</emphasis> for trouble shooting the
+mozilla section by performing multiple builds and for providing a description
+of the various mozilla extensions.</para></listitem>
+
 <listitem><para><emphasis>Gerard Beekmans</emphasis> for generally
-putting up with us and for running the whole <acronym>LFS</acronym> project.
-</para></listitem>
+putting up with us and for running the whole <acronym>LFS</acronym> 
+project.</para></listitem>
+
+<listitem><para><emphasis>Oliver Brakmann</emphasis> for developing the
+dhcpcd patch for <acronym>FHS</acronym> compliance.</para></listitem>
+
+<listitem><para><emphasis>Ian Chilton</emphasis> for writing the nfs 
+hint.</para></listitem>
+
+<listitem><para><emphasis>Nathan Coulson</emphasis> for writing the new
+network bootscripts.</para></listitem>
+
+<listitem><para><emphasis>Nathan Coulson</emphasis>, 
+<emphasis>DJ Lucas</emphasis> and <emphasis>Zack Winkles</emphasis> for 
+reworking the bootscripts used throughout the book.</para></listitem>
+
+<listitem><para><emphasis>Jim Harris</emphasis> for writing the 
+dig-nslookup-host.txt hint on which the bind-utils instructions are 
+based.</para></listitem>
+
+<listitem><para><emphasis>Lee Harris</emphasis> for writing the gpm.txt
+hint on which our gpm instructions are based.</para></listitem>
+
+<listitem><para><emphasis>Marc Heerdink</emphasis> for creating patches
+for tcp_wrappers and portmap and for writing the gpm2.txt hint on which our 
+gpm instruction are based..</para></listitem>
 
 <listitem><para><emphasis>Mark Hymers</emphasis> for initiating the 
@@ -218,9 +250,6 @@
 of the book.</para></listitem>
 
-<listitem><para><emphasis>Lee Harris</emphasis> for writing the gpm.txt
-hint on which our gpm instructions are based.</para></listitem>
-
-<listitem><para><emphasis>Marc Heerdink</emphasis> for writing the
-gpm2.txt hint on which our gpm instruction are based.</para></listitem>
+<listitem><para><emphasis>J_Man</emphasis> for submitting a gpm-1.19.3.diff 
+file on which our gpm instructions are based.</para></listitem>
 
 <listitem><para><emphasis>Jeremy Jones</emphasis> (otherwise known as
@@ -228,6 +257,19 @@
 </listitem>
 
-<listitem><para><emphasis>J_Man</emphasis> for submitting a gpm-1.19.3.diff 
-file on which our gpm instructions are based.</para></listitem>
+<listitem><para><emphasis>Steffen Knollmann</emphasis> for revising the 
+JadeTeX instructions to work with Tex-3.0</para></listitem>
+
+<listitem><para><emphasis>Eric Konopka</emphasis> for writing the 
+ntp.txt hint on which the ntp section is based.</para></listitem>
+
+<!-- <listitem><para><emphasis>DJ Lucas</emphasis> for contributing to dhcpcd
+patch and many contributions while <acronym>DHCP</acronym> section was being 
+developed and beyond.</para></listitem>
+-->
+
+<!-- <listitem><para><emphasis>Randy McMurchy</emphasis> for writing the
+Heimdal hint and for proofreading the book from cover to cover for
+grammatical errors.</para></listitem>
+-->
 
 <listitem><para><emphasis>Scot McPherson</emphasis> for writing the
@@ -236,5 +278,16 @@
 </listitem>
 
-
+<!-- <listitem><para><emphasis>Billy O'Connor</emphasis> for building GNOME
+2.0 so many times and being very helpful with his comments on that section.
+</para></listitem>
+-->
+
+<listitem><para><emphasis>Alexander E. Patrakov</emphasis> for patches and
+suggestions to improve the book content and increasing the 
+<acronym>l10n</acronym> awareness.</para></listitem>
+
+<listitem><para><emphasis>Ted Riley</emphasis> for writing the 
+Linux-<acronym>PAM</acronym> + CrackLib + Shadow hint on which reinstalling 
+shadow to use <acronym>PAM</acronym> is based.</para></listitem>
 
 <!--
@@ -244,58 +297,4 @@
 -->
 
-<listitem><para><emphasis>Oliver Brakmann</emphasis> for developing the
-dhcpcd patch for <acronym>FHS</acronym> compliance.</para></listitem>
-
-<!-- <listitem><para><emphasis>DJ Lucas</emphasis> for contributing to dhcpcd
-patch and many contributions while <acronym>DHCP</acronym> section was being 
-developed and beyond.</para></listitem>
--->
-
-<!-- <listitem><para><emphasis>Billy O'Connor</emphasis> for building GNOME
-2.0 so many times and being very helpful with his comments on that section.
-</para></listitem>
--->
-
-<listitem><para><emphasis>Ted Riley</emphasis> for writing the 
-Linux-<acronym>PAM</acronym> + CrackLib + Shadow hint on which reinstalling 
-shadow to use <acronym>PAM</acronym> is based.</para></listitem>
-
-<listitem><para><emphasis>Fernando Arbeiza</emphasis> for doing great
-quality assurance on Shadow utilizing <acronym>PAM</acronym>.  The machine 
-access he saved may have been yours.</para></listitem>
-
-<listitem><para><emphasis>Jim Harris</emphasis> for writing the 
-dig-nslookup-host.txt hint on which the bind-utils instructions are based.
-</para></listitem>
-
-<listitem><para><emphasis>Eric Konopka</emphasis> for writing the 
-ntp.txt hint on which the ntp section is based.
-</para></listitem>
-
-<listitem><para><emphasis>Marc Heerdink</emphasis> for creating patches
-for tcp_wrappers and portmap.</para></listitem>
-
-<listitem><para><emphasis>Archaic</emphasis> for trouble shooting the
-mozilla section by performing multiple builds and for providing a description
-of the various mozilla extensions.</para></listitem>
-
-<listitem><para><emphasis>Nathan Coulson</emphasis> for writing the new
-network bootscripts.</para></listitem>
-
-<listitem><para><emphasis>Alexander E. Patrakov</emphasis> for patches and
-suggestions to improve the book content and increasing the <acronym>l10n</acronym>
-awareness.</para></listitem>
-
-<listitem><para><emphasis>Ian Chilton</emphasis> for writing the nfs hint.</para></listitem>
-
-<listitem><para><emphasis>Nathan Coulson</emphasis>, <emphasis>DJ Lucas</emphasis>
-and <emphasis>Zack Winkles</emphasis> for reworking the bootscripts used throughout
-the book.</para></listitem>
-
-<!-- <listitem><para><emphasis>Randy McMurchy</emphasis> for writing the
-Heimdal hint and for proofreading the book from cover to cover for
-grammatical errors.</para></listitem>
--->
-
 </itemizedlist>
 </sect2>
Index: pst/typesetting/jadetex.xml
===================================================================
--- pst/typesetting/jadetex.xml	(revision 1c1483d6b67e86eedbd446a7f64a0f158da13949)
+++ pst/typesetting/jadetex.xml	(revision 28da027b4e1008575328dd241d4ab64c5711daac)
@@ -9,6 +9,6 @@
   <!ENTITY jadetex-md5sum        "634dfc172fbf66a6976e2c2c60e2d198">
   <!ENTITY jadetex-size          "103 KB">
-  <!ENTITY jadetex-buildsize     "9.6 MB">
-  <!ENTITY jadetex-time          "0.11 SBU">
+  <!ENTITY jadetex-buildsize     "9.3 MB">
+  <!ENTITY jadetex-time          "0.04 SBU">
 ]>
 
@@ -46,4 +46,12 @@
 </sect3>
 
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Recommended demo files: <ulink 
+url="http://anduin.linuxfromscratch.org/sources/BLFS/SVN/I-K/jadetex-3.13-demo.tar.bz2"/>
+</para></listitem>
+</itemizedlist>
+</sect3>
+
 <sect3><title><application>JadeTeX</application> dependencies</title>
 <sect4><title>Required</title>
@@ -58,21 +66,18 @@
 <title>Installation of <application>JadeTeX</application></title>
 
-<para>First, as the root user, make some required modifications to files 
-already installed on the system:</para>
+<para>If you downloaded the demo files tarball, unpack it along with the 
+source tarball. It will unpack as a 
+<filename class='directory'>demo</filename> directory in the root of the 
+source tree.</para>
+
+<para>First, as the root user, make some required modifications to the 
+<filename>texmf.cnf</filename> file already installed on the system by the 
+<application>TeX</application> package, then build a new 
+<filename>latex.fmt</filename> file using the following commands:</para>
 
 <screen><userinput role='root'><command>sed -i.orig -e "s/original texmf.cnf/modified texmf.cnf/" \
-   /usr/share/texmf/web2c/texmf.cnf</command></userinput></screen>
-
-<para>You'll need to make two modifications to 
-<filename>/usr/share/texmf/web2c/texmf.cnf</filename>. First, add the 
-following line under the section titled <quote>ConTeXt is a memory 
-hog...</quote>:</para>
-
-<screen><userinput role='root'>pool_size.context = 750000</userinput></screen>
-
-<para>Next, add <command>latex</command>, <command>jadetex</command> and 
-<command>pdfjadetex</command> settings using the following command:</para>
-
-<screen><userinput role='root'><command>cat &gt;&gt; /usr/share/texmf/web2c/texmf.cnf &lt;&lt; "EOF"</command>
+            -e "s/memory hog.../&amp;\npool_size.context = 750000/" \
+    $(kpsewhich texmf.cnf) &amp;&amp;
+cat &gt;&gt; $(kpsewhich texmf.cnf) &lt;&lt; "EOF"</command>
 
 % The following 3 sections added for JadeTeX
@@ -114,25 +119,55 @@
 pool_size.pdfjadetex = 500000
 max_strings.pdfjadetex = 55000
-<command>EOF</command></userinput></screen>
-
-<para>Build a new <filename>latex.fmt</filename> file using the following 
+
+<command>EOF &amp;&amp;
+LATEX_FMT_DIR="$(kpsewhich -expand-var '$TEXMFSYSVAR')/web2c" &amp;&amp;
+mv -v $(kpsewhich latex.fmt) $(kpsewhich latex.fmt).orig &amp;&amp;
+mv -v $LATEX_FMT_DIR/latex.log $LATEX_FMT_DIR/latex.log.orig &amp;&amp;
+fmtutil-sys --byfmt latex</command></userinput></screen>
+
+<para>Install <application>JadeTex</application> using the following 
 commands:</para>
 
-<screen><userinput><command>cp -v -R /usr/share/texmf/tex/latex/config . &amp;&amp;
-cd config &amp;&amp;
-tex -ini -progname=latex latex.ini &amp;&amp;
-cd ..</command></userinput></screen>
-
-<para>Now, as the root user, install the <filename>latex.fmt</filename> file, 
-then build and install <application>JadeTex</application> using the following 
-commands:</para>
-
-<screen><userinput role='root'><command>mv /usr/share/texmf/web2c/latex.fmt \
-   /usr/share/texmf/web2c/latex.fmt.orig &amp;&amp;
-install -v -m644 config/latex.fmt /usr/share/texmf/web2c &amp;&amp;
-make install &amp;&amp;
-ln -v -sf tex /usr/bin/jadetex &amp;&amp;
-ln -v -sf pdftex /usr/bin/pdfjadetex &amp;&amp;
-mktexlsr</command></userinput></screen>
+<screen><userinput><command>make</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+
+<screen><userinput role='root'><command>install -v -m755 -d \
+    $(kpsewhich -expand-var '$TEXMFLOCAL')/tex/jadetex/config &amp;&amp;
+install -v -m644 dsssl.def jadetex.ltx \
+    $(kpsewhich -expand-var '$TEXMFLOCAL')/tex/jadetex &amp;&amp;
+install -v -m644 {,pdf}jadetex.ini \
+    $(kpsewhich -expand-var '$TEXMFLOCAL')/tex/jadetex/config &amp;&amp;
+FMTUTIL_CNF="$(kpsewhich fmtutil.cnf)" &amp;&amp;
+mv $FMTUTIL_CNF $FMTUTIL_CNF.orig &amp;&amp;
+cat $FMTUTIL_CNF.orig - &gt;&gt; $FMTUTIL_CNF &lt;&lt; "EOF"</command>
+
+# JadeTeX formats:
+jadetex         etex            -               "&amp;latex"     jadetex.ini
+pdfjadetex      pdfetex         -               "&amp;pdflatex"  pdfjadetex.ini
+
+<command>EOF &amp;&amp;
+mv -v $(kpsewhich -expand-var '$TEXMFMAIN')/ls-R \
+      $(kpsewhich -expand-var '$TEXMFMAIN')/ls-R.orig &amp;&amp;
+mv -v $(kpsewhich -expand-var '$TEXMFSYSVAR')/ls-R \
+      $(kpsewhich -expand-var '$TEXMFSYSVAR')/ls-R.orig &amp;&amp;
+mktexlsr &amp;&amp;
+fmtutil-sys --byfmt jadetex &amp;&amp;
+fmtutil-sys --byfmt pdfjadetex &amp;&amp;
+mktexlsr &amp;&amp;
+ln -v -sf etex /usr/bin/jadetex &amp;&amp;
+ln -v -sf pdfetex /usr/bin/pdfjadetex</command></userinput></screen>
+
+<para>If you downloaded the demo files tarball, issue the following commands 
+as an unprivileged user to test the functionality of the new 
+<application>JadeTex</application> installation:</para>
+
+<screen><userinput><command>cd demo &amp;&amp;
+openjade -t tex -d demo.dsl demo.sgm &amp;&amp;
+jadetex demo.tex &amp;&amp;
+pdfjadetex demo.tex</command></userinput></screen>
+
+<para>The commands should complete without errors or warnings and create 
+<filename>demo.dvi</filename> and <filename>demo.pdf</filename> files.</para>
 
 </sect2>
@@ -141,10 +176,18 @@
 <title>Command explanations</title>
 
-<para><command>sed -i -e "s/original texmf.cnf/modified texmf.cnf/"</command>: 
-This changes <filename>/usr/share/texmf/web2c/texmf.cnf</filename> so that if 
-<application>TeX</application> is upgraded, this file won't get 
-overwritten.</para>
-
-<para><command>ln -v -sf tex ...; ln -v -sf pdftex ...; mktexlsr</command>: The 
+<para><command>sed -i -e ... -e ... $(kpsewhich texmf.cnf)</command>: 
+This command uses <command>kpsewhich</command> to locate the installed 
+ <filename>texmf.cnf</filename>. The first change is used to modify the
+header of the file so that if <application>TeX</application> is upgraded, 
+the file won't get overwritten. The next change adds a parameter to 
+increase ConTeXt's memory size to accommodate 
+<application>JadeTeX</application>.</para>
+
+<para><command>fmtutil-sys ...</command>: These commands are used to build 
+the <filename>latex.fmt</filename>, <filename>jadetex.fmt</filename> and 
+<filename>pdfjadetex.fmt</filename> files. Additionally, the command 
+automagically places the files in the correct directory.</para>
+
+<para><command>mktexlsr; ln -v -sf tex ...; ln -v -sf pdftex ...</command>: The 
 <application>JadeTeX</application> programs are actually just symlinks to the 
 <application>TeX</application> programs. <command>mktexlsr</command> updates
@@ -185,5 +228,5 @@
 <seg>jadetex and pdfjadetex</seg>
 <seg>None</seg>
-<seg>/usr/share/texmf/tex/jadetex</seg>
+<seg>/usr/share/texmf-local</seg>
 </seglistitem>
 </segmentedlist>