Index: gnome/add/eog/eog-desc.xml
===================================================================
--- gnome/add/eog/eog-desc.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/eog/eog-desc.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -2,5 +2,6 @@
 <title>Contents</title>
 
-<para>The eog package contains <userinput>eog</userinput>.</para>
+<para>The <application>eog</application> package contains
+<command>eog</command>.</para>
 
 </sect2>
@@ -9,5 +10,5 @@
 
 <sect3><title>eog</title>
-<para>eog is a fast and functional image viewer as well as an image
+<para><command>eog</command> is a fast and functional image viewer as well as an image
 cataloging program.</para></sect3>
 
Index: gnome/add/eog/eog-exp.xml
===================================================================
--- gnome/add/eog/eog-exp.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/eog/eog-exp.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -2,13 +2,13 @@
 <title>Command explanations</title>
 
-<para><userinput>--libexecdir=$GNOME_PREFIX/sbin</userinput> : This switch puts
+<para><command>--libexecdir=$GNOME_PREFIX/sbin</command> : This switch puts
 libexec files in <filename>$GNOME_PREFIX/sbin</filename> instead of
 <filename>$GNOME_PREFIX/libexec</filename>.</para>
 
-<para><userinput>--localstatedir=/var/lib</userinput> : This switch
+<para><command>--localstatedir=/var/lib</command> : This switch
 puts scrollkeeper files in <filename>/var/lib/scrollkeeper</filename>
 instead of <filename>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
-<para><userinput>--sysconfdir=/etc/gnome</userinput> : This switch
+<para><command>--sysconfdir=/etc/gnome</command> : This switch
 puts configuration files in <filename>/etc/gnome</filename> instead of
 <filename>$GNOME_PREFIX/etc</filename>.</para>
Index: gnome/add/eog/eog-inst.xml
===================================================================
--- gnome/add/eog/eog-inst.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/eog/eog-inst.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -1,11 +1,11 @@
 <sect2>
-<title>Installation of eog</title>
+<title>Installation of <application>eog</application></title>
 
-<para>Install eog by running the following commands:</para>
+<para>Install <application>eog</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=$GNOME_PREFIX --libexecdir=$GNOME_PREFIX/sbin \
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --libexecdir=$GNOME_PREFIX/sbin \
 --localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
 make &amp;&amp;
-make install </userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: gnome/add/eog/eog-intro.xml
===================================================================
--- gnome/add/eog/eog-intro.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/eog/eog-intro.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -1,17 +1,25 @@
 <sect2>
-<title>Introduction to eog</title>
+<title>Introduction to <application>eog</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&eog-download-http;"/>
-Download location (FTP):        <ulink url="&eog-download-ftp;"/>
-Version used:                   &eog-version;
-Package size:                   &eog-size;
-Estimated Disk space required:  &eog-buildsize;
-Estimated build time:           &eog-time;</screen>
-
-<para>The eog package contains Eyes of Gnome. This is useful for viewing
+<para>The <application>eog</application> package contains Eyes of Gnome. This is useful for viewing
 and cataloging image files.</para>
 
-<screen>eog depends on:
-<xref linkend="libgnomeui"/> and <xref linkend="libgnomeprint"/></screen>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&eog-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&eog-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &eog-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&eog-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&eog-time;</para></listitem></itemizedlist>
+</sect3>
+                                                                                
+<sect3><title><application>eog</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnomeui"/> and <xref linkend="libgnomeprint"/></para></sect4>
+</sect3>
 
 </sect2>
Index: gnome/add/eog/eog.ent
===================================================================
--- gnome/add/eog/eog.ent	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/eog/eog.ent	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -5,8 +5,8 @@
 <!ENTITY eog-desc SYSTEM "eog-desc.xml">
 <!ENTITY eog-config SYSTEM "eog-config.xml">
-<!ENTITY eog-buildsize "5.3 MB">
-<!ENTITY eog-version "2.2.1">
-<!ENTITY eog-download-http "http://ftp.gnome.org/pub/GNOME/sources/eog/2.2/eog-2.2.1.tar.bz2">
-<!ENTITY eog-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/eog/2.2/eog-2.2.1.tar.bz2">
-<!ENTITY eog-size "470 KB">
-<!ENTITY eog-time "0.82 SBU">
+<!ENTITY eog-buildsize "16.1 MB">
+<!ENTITY eog-version "2.2.2">
+<!ENTITY eog-download-http "http://ftp.gnome.org/pub/GNOME/sources/eog/2.2/eog-2.2.2.tar.bz2">
+<!ENTITY eog-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/eog/2.2/eog-2.2.2.tar.bz2">
+<!ENTITY eog-size "480 KB">
+<!ENTITY eog-time "0.19 SBU">
Index: gnome/add/media/gnome-media-desc.xml
===================================================================
--- gnome/add/media/gnome-media-desc.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gnome-media-desc.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -3,8 +3,8 @@
 
 <para>The gnome-media package contains
-<userinput>gnome-sound-recorder</userinput>,
-<userinput>gnome-cd</userinput>,
-<userinput>gnome-volume-control</userinput> and
-<userinput>vumeter</userinput>.</para>
+<command>gnome-sound-recorder</command>,
+<command>gnome-cd</command>,
+<command>gnome-volume-control</command> and
+<command>vumeter</command>.</para>
 
 </sect2>
@@ -13,15 +13,15 @@
 
 <sect3><title>gnome-sound-recorder</title>
-<para>gnome-sound-recorder is Gnome's recorder.</para></sect3>
+<para><command>gnome-sound-recorder</command> is Gnome's recorder.</para></sect3>
 
 <sect3><title>gnome-cd</title>
-<para>gnome-cd is Gnome's CD Player.</para></sect3>
+<para><command>gnome-cd</command> is Gnome's CD Player.</para></sect3>
 
 <sect3><title>gnome-volume-control</title>
-<para>gnome-volume-control is Gnome's mixer with volume
+<para><command>gnome-volume-control</command> is Gnome's mixer with volume
 applet.</para></sect3>
 
 <sect3><title>vumeter</title>
-<para>vumeter is a visual volume meter.</para></sect3>
+<para><command>vumeter</command> is a visual volume meter.</para></sect3>
 
 </sect2>
Index: gnome/add/media/gnome-media-exp.xml
===================================================================
--- gnome/add/media/gnome-media-exp.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gnome-media-exp.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -2,13 +2,13 @@
 <title>Command explanations</title>
 
-<para><userinput>--sysconfdir=/etc/gnome</userinput> : This switch puts
+<para><command>--sysconfdir=/etc/gnome</command> : This switch puts
 configuration files in <filename>/etc/gnome</filename> instead of
 <filename>$GNOME_PREFIX/etc</filename>.</para>
 
-<para><userinput>--localstatedir=/var/lib</userinput> : This switch
+<para><command>--localstatedir=/var/lib</command> : This switch
 puts scrollkeeper files in <filename>/var/lib/scrollkeeper</filename>
 instead of <filename>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
-<para><userinput>--libexecdir=$GNOME_PREFIX/sbin</userinput> : This
+<para><command>--libexecdir=$GNOME_PREFIX/sbin</command> : This
 command puts libexec files in <filename>$GNOME_PREFIX/sbin</filename>
 instead of <filename>$GNOME_PREFIX/libexec</filename>.</para>
Index: gnome/add/media/gnome-media-inst.xml
===================================================================
--- gnome/add/media/gnome-media-inst.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gnome-media-inst.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -1,11 +1,11 @@
 <sect2>
-<title>Installation of gnome-media</title>
+<title>Installation of <application>gnome-media</application></title>
 
-<para>Install gnome-media by running the following commands:</para>
+<para>Install <application>gnome-media</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=$GNOME_PREFIX --sysconfdir=/etc/gnome \
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --sysconfdir=/etc/gnome \
 --localstatedir=/var/lib --libexecdir=$GNOME_PREFIX/sbin &amp;&amp;
 make &amp;&amp;
-make install </userinput></screen></para>
+make install</command></userinput></screen>
 
 </sect2>
Index: gnome/add/media/gnome-media-intro.xml
===================================================================
--- gnome/add/media/gnome-media-intro.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gnome-media-intro.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -1,16 +1,26 @@
 <sect2>
-<title>Introduction to gnome-media</title>
+<title>Introduction to <application>gnome-media</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&gnome-media-download-http;"/>
-Download location (FTP):        <ulink url="&gnome-media-download-ftp;"/>
-Version used:                   &gnome-media-version;
-Package size:                   &gnome-media-size;
-Estimated Disk space required:  &gnome-media-buildsize;
-Estimated build time:           &gnome-media-time;</screen>
+<para>The <application>gnome-media</application> package contains GNOME's media
+applications.</para>
 
-<para>The gnome-media package contains GNOME's media applications.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gnome-media-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gnome-media-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gnome-media-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gnome-media-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gnome-media-time;</para></listitem></itemizedlist>
+</sect3>
+                                                                                
+<sect3><title><application>gnome-media</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnomeui"/> and <xref linkend="gstreamer"/></para></sect4>
+</sect3>
 
-<screen>gnome-media depends on:
-<xref linkend="libgnomeui"/> and <xref linkend="gstreamer"/></screen>
 
 </sect2>
Index: gnome/add/media/gnome-media.ent
===================================================================
--- gnome/add/media/gnome-media.ent	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gnome-media.ent	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -5,8 +5,8 @@
 <!ENTITY gnome-media-desc SYSTEM "gnome-media-desc.xml">
 <!ENTITY gnome-media-config SYSTEM "gnome-media-config.xml">
-<!ENTITY gnome-media-buildsize "12.3 MB">
-<!ENTITY gnome-media-version "2.2.1.1">
-<!ENTITY gnome-media-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-media/2.2/gnome-media-2.2.1.1.tar.bz2">
-<!ENTITY gnome-media-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/2.2/gnome-media-2.2.1.1.tar.bz2">
-<!ENTITY gnome-media-size "1.1 MB">
-<!ENTITY gnome-media-time "1.76 SBU">
+<!ENTITY gnome-media-buildsize "37.8 MB">
+<!ENTITY gnome-media-version "2.2.2">
+<!ENTITY gnome-media-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-media/2.2/gnome-media-2.2.2.tar.bz2">
+<!ENTITY gnome-media-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/2.2/gnome-media-2.2.2.tar.bz2">
+<!ENTITY gnome-media-size "2.8 MB">
+<!ENTITY gnome-media-time "0.49 SBU">
Index: gnome/add/media/gst-plugins-desc.xml
===================================================================
--- gnome/add/media/gst-plugins-desc.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gst-plugins-desc.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The gst-plugins package contains <userinput>LISTOFFILES</userinput></para>
+<para>The <application>gst-plugins</application> package contains <userinput>LISTOFFILES</userinput></para>
 
 </sect2>
Index: gnome/add/media/gst-plugins-inst.xml
===================================================================
--- gnome/add/media/gst-plugins-inst.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gst-plugins-inst.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -1,11 +1,11 @@
 <sect2>
-<title>Installation of gst-plugins</title>
+<title>Installation of <application>gst-plugins</application></title>
 
-<para>Install gst-plugins by running the following commands:</para>
+<para>Install <application>gst-plugins</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=$GNOME_PREFIX &amp;&amp;
+<screen><userinput><command>./configure --prefix=$GNOME_PREFIX &amp;&amp;
 make &amp;&amp;
 make install &amp;&amp;
-gst-register</userinput></screen></para>
+gst-register</command></userinput></screen>
 
 </sect2>
Index: gnome/add/media/gst-plugins-intro.xml
===================================================================
--- gnome/add/media/gst-plugins-intro.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gst-plugins-intro.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -1,15 +1,25 @@
 <sect2>
-<title>Introduction to gst-plugins</title>
+<title>Introduction to <application>gst-plugins</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&gst-plugins-download-http;"/>
-Download location (FTP):        <ulink url="&gst-plugins-download-ftp;"/>
-Version used:                   &gst-plugins-version;
-Package size:                   &gst-plugins-size;
-Estimated Disk space required:  &gst-plugins-buildsize;</screen>
+<para>The <application>gst-plugins</application> package contains codec interfaces.</para>
 
-<para>The gst-plugins package contains codec interfaces.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gst-plugins-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gst-plugins-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gst-plugins-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gst-plugins-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gst-plugins-time;</para></listitem></itemizedlist>
+</sect3>
+                                                                                
+<sect3><title><application>gst-plugins</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="gstreamer"/></para></sect4>
+</sect3>
 
-<screen>gst-plugins depends on:
-<xref linkend="gstreamer"/></screen>
 
 </sect2>
Index: gnome/add/media/gst-plugins.ent
===================================================================
--- gnome/add/media/gst-plugins.ent	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gst-plugins.ent	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -5,8 +5,8 @@
 <!ENTITY gst-plugins-desc SYSTEM "gst-plugins-desc.xml">
 <!ENTITY gst-plugins-config SYSTEM "gst-plugins-config.xml">
-<!ENTITY gst-plugins-buildsize "98 MB">
-<!ENTITY gst-plugins-version "0.6.0">
-<!ENTITY gst-plugins-download-http "http://ftp.gnome.org/pub/GNOME/sources/gst-plugins/0.6/gst-plugins-0.6.0.tar.bz2">
-<!ENTITY gst-plugins-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gst-plugins/0.6/gst-plugins-0.6.0.tar.bz2">
-<!ENTITY gst-plugins-size "1.8 MB">
-<!ENTITY gst-plugins-time "6.18 SBU">
+<!ENTITY gst-plugins-buildsize "102 MB">
+<!ENTITY gst-plugins-version "0.6.2">
+<!ENTITY gst-plugins-download-http "http://ftp.gnome.org/pub/GNOME/sources/gst-plugins/0.6/gst-plugins-0.6.2.tar.bz2">
+<!ENTITY gst-plugins-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gst-plugins/0.6/gst-plugins-0.6.2.tar.bz2">
+<!ENTITY gst-plugins-size "1.9 MB">
+<!ENTITY gst-plugins-time "2.16 SBU">
Index: gnome/add/media/gstreamer-desc.xml
===================================================================
--- gnome/add/media/gstreamer-desc.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gstreamer-desc.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -2,5 +2,5 @@
 <title>Contents</title>
 
-<para>The gstreamer package contains <filename>libgstreamer</filename>
+<para>The <application>gstreamer</application> package contains <filename>libgstreamer</filename>
 libraries and <filename>libgst</filename> libraries.</para>
 
Index: gnome/add/media/gstreamer-exp.xml
===================================================================
--- gnome/add/media/gstreamer-exp.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gstreamer-exp.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -2,5 +2,5 @@
 <title>Command explanations</title>
 
-<para><userinput>--localstatedir=/var/lib</userinput> : This switch
+<para><command>--localstatedir=/var/lib</command> : This switch
 puts gst-register's cache in <filename>/var/lib/cache</filename>
 instead of <filename>$GNOME_PREFIX/var/cache</filename>.</para>
Index: gnome/add/media/gstreamer-intro.xml
===================================================================
--- gnome/add/media/gstreamer-intro.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gstreamer-intro.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -1,16 +1,26 @@
 <sect2>
-<title>Introduction to gstreamer</title>
+<title>Introduction to <application>gstreamer</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&gstreamer-download-http;"/>
-Download location (FTP):        <ulink url="&gstreamer-download-ftp;"/>
-Version used:                   &gstreamer-version;
-Package size:                   &gstreamer-size;
-Estimated Disk space required:  &gstreamer-buildsize;
-Estimated build time:           &gstreamer-time;</screen>
+<para>The <application>gstreamer</application> package contains a framework for streaming media.
+This is useful for interfacing with binary codecs.</para>
 
-<para>The gstreamer package contains a framework for streaming media. This is useful for interfacing with binary codecs.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gstreamer-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gstreamer-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gstreamer-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gstreamer-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gstreamer-time;</para></listitem></itemizedlist>
+</sect3>
+                                                                                
+<sect3><title><application>template</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnomeui"/></para></sect4>
+</sect3>
 
-<screen>gstreamer depends on:
-<xref linkend="libgnomeui"/></screen>
 
 </sect2>
Index: gnome/add/media/gstreamer.ent
===================================================================
--- gnome/add/media/gstreamer.ent	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ gnome/add/media/gstreamer.ent	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -5,8 +5,8 @@
 <!ENTITY gstreamer-desc SYSTEM "gstreamer-desc.xml">
 <!ENTITY gstreamer-config SYSTEM "gstreamer-config.xml">
-<!ENTITY gstreamer-buildsize "65.2 MB">
-<!ENTITY gstreamer-version "0.6.0">
-<!ENTITY gstreamer-download-http "http://ftp.gnome.org/pub/GNOME/sources/gstreamer/0.6/gstreamer-0.6.0.tar.bz2">
-<!ENTITY gstreamer-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gstreamer/0.6/gstreamer-0.6.0.tar.bz2">
-<!ENTITY gstreamer-size "1.1 MB">
-<!ENTITY gstreamer-time "3.95 SBU">
+<!ENTITY gstreamer-buildsize "72.7 MB">
+<!ENTITY gstreamer-version "0.6.2">
+<!ENTITY gstreamer-download-http "http://ftp.gnome.org/pub/GNOME/sources/gstreamer/0.6/gstreamer-0.6.2.tar.bz2">
+<!ENTITY gstreamer-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gstreamer/0.6/gstreamer-0.6.2.tar.bz2">
+<!ENTITY gstreamer-size "1.2 MB">
+<!ENTITY gstreamer-time "1.31 SBU">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 72df9d3438880eaee583b83e86fa1afa028e3b2f)
+++ introduction/welcome/changelog.xml	(revision 29c699805ce885267a63e56da17297c8477f0eb1)
@@ -13,6 +13,7 @@
 <listitem><para>September 5th, 2003 [larry]: gnome: updated to
 gnome-system-moniter-2.0.5, gnome-applets-2.2.2, gnome-utils-2.2.3,
-gnome-games-2.2.1, nautilus-2.2.4, yelp-2.2.3, bug-buddy-2.2.106 and
-gedit-2.2.2.</para></listitem>
+gnome-games-2.2.1, nautilus-2.2.4, yelp-2.2.3, bug-buddy-2.2.106,
+gedit-2.2.2, eog-2.2.2, gstreamer-0.6.2, gst-plugins-0.6.2 and
+gnome-media-2.2.2.</para></listitem>
 
 <listitem><para>September 4th, 2003 [larry]: gnome: updated to